## mfiutil 1.0.15-rivoreo-r2~rc-20250214-e8c6289

=== debian/changelog ===
mfiutil (1.0.15-rivoreo-r2~rc-20250214-e8c6289-1) unstable; urgency=medium

  * Update to the latest revision from upstream source code repository, which
    includes a new version of 'scsi_inquiry.h' to replace the old one that
    having potential licensing issue

 -- WHR <whr@rivoreo.one>  Sun, 16 Feb 2025 16:29:52 +0100

mfiutil (1.0.15-rivoreo-r1-1) unstable; urgency=medium

  * Initial release (Closes: #1079642)

 -- WHR <whr@rivoreo.one>  Sat, 31 Aug 2024 15:14:44 +0800
