=== debian/control ===
Source: mfiutil
Section: utils
Priority: optional
Maintainer: WHR <whr@rivoreo.one>
Uploaders: Petter Reinholdtsen <pere@hungry.com>, Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://sourceforge.net/projects/mfiutil/
Vcs-Browser: https://salsa.debian.org/debian/mfiutil
Vcs-Git: https://salsa.debian.org/debian/mfiutil.git
Rules-Requires-Root: no

Package: mfiutil
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility for managing LSI MegaRAID SAS controllers
 A lightweight utility providing basic management functionality for LSI
 MegaRAID SAS controllers, ported from FreeBSD.
 .
 It works with Linux megaraid_sas driver, and supports 2nd and later
 generations of MegaRAID SAS controllers.
 .
 Examples of supported hardware:
  * LSI MegaRAID SAS 92xx series
  * LSI MegaRAID SAS 93xx series
  * Dell PERC H310, H710 and H810 series
  * Dell PERC H330, H730 and H830 series
  * Dell PERC H740 and H840 series
  * IBM ServeRAID M51xx series
  * IBM ServeRAID M52xx series
