=== debian/watch ===
version=4

https://qa.debian.org/watch/sf.php/mfiutil/ \
	mfiutil-([0-9a-z.-]+)-src\.tar\.(?:gz|bz2|lz|xz)
